# rpmbuild parameters:
# --without check: Do not run the testsuite.  Default is to run it.

# host != target would cause REMOTE_ONLY build even if building i386 on x86_64.
%global _host %{_target_platform}

# (tmb) FIXME linking
%define _disable_ld_no_undefined 1

%define major 8
%define libname %mklibname unwind %{major}
%define devname %mklibname unwind -d

%define majorcoredump 0
%define libcoredump %mklibname unwind-coredump %{majorcoredump}

Summary: An unwinding library
Name: libunwind
Version: 1.2
Release: %mkrel 1
License: BSD
Group: Development/Tools
Source: http://download-mirror.savannah.gnu.org/releases/libunwind/libunwind-%{version}.tar.gz
#Fedora specific patch
Patch1: libunwind-arm-default-to-exidx.patch
URL: http://savannah.nongnu.org/projects/libunwind

BuildRequires: automake
BuildRequires: libtool
BuildRequires: autoconf
BuildRequires: texlive-collection-basic

%description
Libunwind provides a C ABI to determine the call-chain of a program.

%package -n %{libname}
Summary: An unwinding library
Group: System/Libraries
Obsoletes: %{name} < 1.1-7

%description -n %{libname}
Libunwind provides a C ABI to determine the call-chain of a program.

%package -n %{libcoredump}
Summary: An unwinding library
Group: System/Libraries
Conflicts: %{name} < 1.1-7

%description -n %{libcoredump}
Libunwind provides a C ABI to determine the call-chain of a program.

%package -n %{devname}
Summary: Development package for libunwind
Group: Development/Tools
Requires: %{libname} = %{version}-%{release}
Requires: %{libcoredump} = %{version}-%{release}
Provides: unwind-devel
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{name}-devel < 1.1-7

%description -n %{devname}
The libunwind-devel package includes the libraries and header files for
libunwind.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure2_5x --enable-static --enable-shared --enable-setjmp=no
%make

%install
%make_install

find %{buildroot} -name "*.la" -delete

# /usr/include/libunwind-ptrace.h
# [...] aren't really part of the libunwind API.  They are implemented in
# a archive library called libunwind-ptrace.a.
mv -f $RPM_BUILD_ROOT%{_libdir}/libunwind-ptrace.a $RPM_BUILD_ROOT%{_libdir}/libunwind-ptrace.a-save
rm -f $RPM_BUILD_ROOT%{_libdir}/libunwind*.a
mv -f $RPM_BUILD_ROOT%{_libdir}/libunwind-ptrace.a-save $RPM_BUILD_ROOT%{_libdir}/libunwind-ptrace.a
rm -f $RPM_BUILD_ROOT%{_libdir}/libunwind-ptrace*.so*

%check
%if 0%{?_with_check:1} || 0%{?_with_testsuite:1}
echo ====================TESTING=========================
make check || true
echo ====================TESTING END=====================
%else
echo ====================TESTSUITE DISABLED=========================
%endif

%files -n %{libname}
%doc COPYING README NEWS
%{_libdir}/libunwind-*.so.%{major}
%{_libdir}/libunwind-*.so.%{major}.*
%{_libdir}/libunwind.so.%{major}
%{_libdir}/libunwind.so.%{major}.*

%files -n %{libcoredump}
%{_libdir}/libunwind-coredump.so.%{majorcoredump}
%{_libdir}/libunwind-coredump.so.%{majorcoredump}.*

%files -n %{devname}
%{_libdir}/libunwind*.so
%{_libdir}/libunwind-ptrace.a
%{_mandir}/*/*
%{_libdir}/pkgconfig/libunwind*.pc
# <unwind.h> does not get installed for REMOTE_ONLY targets - check it.
%{_includedir}/unwind.h
%{_includedir}/libunwind*.h


%changelog
* Wed Jun 07 2017 luigiwalser <luigiwalser> 1.2-1.mga6
+ Revision: 1107166
- 1.2
- remove upstreamed patches
- replace patch1 with configure argument (thanks fedora)

* Sun Jan 22 2017 wally <wally> 1.1-8.mga6
+ Revision: 1082913
- add arm patch from Fedora

* Sun Jan 22 2017 wally <wally> 1.1-7.mga6
+ Revision: 1082909
- fix libification

* Thu Feb 11 2016 umeabot <umeabot> 1.1-6.mga6
+ Revision: 955814
- Mageia 6 Mass Rebuild

* Tue Jul 21 2015 luigiwalser <luigiwalser> 1.1-5.mga6
+ Revision: 855948
- add patch from fedora to fix CVE-2015-3239

* Wed Oct 15 2014 umeabot <umeabot> 1.1-4.mga5
+ Revision: 741370
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-3.mga5
+ Revision: 681829
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1-2.mga4
+ Revision: 527675
- Mageia 4 Mass Rebuild

  + tv <tv>
    - fix description

* Mon Jun 10 2013 tv <tv> 1.1-1.mga4
+ Revision: 441709
- new release

* Sun Jan 27 2013 tmb <tmb> 1.0.1-1.mga3
+ Revision: 392716
- fix group
- fix build
- spec cleanups
- import from fedora

